#ifndef XANIMDELTAPARTQUATDATA_H
#define XANIMDELTAPARTQUATDATA_H

#include "xasset.h"
#include "xanimdeltapartquatdataframes.h"

class XAnimDeltaPartQuatData : public XAsset
{
public:
    explicit XAnimDeltaPartQuatData();
    ~XAnimDeltaPartQuatData() = default;

    void ParseData(XDataStream *aStream) override;

    const XAnimDeltaPartQuatDataFrames& GetFrames() const;
    void SetFrames(const XAnimDeltaPartQuatDataFrames& frames);

    const qint16* GetFrame0() const;
    void SetFrame0(const qint16* frame0, size_t count = 2);

private:
    XAnimDeltaPartQuatDataFrames mFrames;
    qint16 mFrame0[2] = {0};
};

#endif // XANIMDELTAPARTQUATDATA_H
